Linear Collider Forum



Home » Simulation » Mokka » problem in the installation of MOKKA
Re: problem in the installation of MOKKA [message #1875 is a reply to message #1873] Mon, 28 September 2009 06:57 Go to previous messageGo to previous message
engels
Messages: 106
Registered: August 2006
Hi Carmen,

this is a compiler issue. since g++ version 4.1 or greater you have to explicitely #include <assert.h> when using assert otherwise the compiler throws an error. (don't worry if this doens't make much sense to you Wink

Just edit the file /mnt/data2/ilcsoft/v01-06/Mokka/mokka-06-07-patch01/source/K ernel/src/HepLCIOInterface.cc and add at the top:
#include <assert.h>

If you still experince more problems I recommend you to try a more recent version of Mokka where this problems are already fixed.

Cheers && Good Luck!
Jan
 
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Previous Topic:New SVN Mokka repository
Next Topic:problems with mokka in v01-04
Goto Forum:
  


Current Time: Fri Jan 19 09:08:53 Pacific Standard Time 2018
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.1.
Copyright ©2001-2010 FUDforum Bulletin Board Software